import { GeoTable, LatLon, Track } from './GeoTable';
export declare enum CoordinateEncoding {
    GEO_HASH = 0,
    FIELDS = 1
}
export declare abstract class AbstractGeoTable implements GeoTable {
    coordinateEncoding: CoordinateEncoding;
    protected constructor(coordinateEncoding: CoordinateEncoding);
    abstract getRowCount(): any;
    abstract getValue(index: number, field: string): number;
    abstract getS2CellID(index: number): string;
    abstract isTruncated(): boolean;
    mapTracks<T, U>(_mapper: (track: Track, options: U, index: number) => T, _options: U): T[];
    getLatLon(index: number): LatLon;
    getTimeString(index: number): string;
}
